local kawaii_table, backdrop, OnClick, color, font
local eBox = _G["ChatFrame1EditBox"]

font = [=[Fonts\ARIALN.ttf]=]

OnClick = function(self)
	eBox:Insert(self.text:GetText())
end

backdrop = {
	bgFile = [=[Interface\Buttons\White8x8]=], 
	edgeFile = [=[Interface\Buttons\White8x8]=], 
	tile = false, tileSize = 0, edgeSize = 1, 
	insets = { left = -1, right = -1, top = -1, bottom = -1}
}

kawaii_table = {
	"(^_^)/",
	"(^O^)/",
	"(^o^)/",
	"(^^)/",
	"(^o^)",
	"(ToT)",
	"(^_^;)",
	"(-_-;)",
	"(~_~;)",
	"^^;",
	"^_^;",
	"(#^.^#)",
	"(^ ^;)",
	"(^-^)",
	"\(~o~)/",
	"\(^o^)/",
	"\(-o-)/",
	"(~_~)",
	"(^_^)v",
	"(^v^)",
	"(~_~)",
	"(._.)",
}

local box = CreateFrame("Frame", "KawaiiBox", UIParent)
box:SetWidth(235)
box:SetHeight(120)
box:SetPoint("CENTER", UIParent)
box:SetBackdrop(backdrop)
box:SetBackdropColor(0.1, 0.1, 0.1)
box:SetBackdropBorderColor(0.35, 0.35, .35)
box:SetMovable(true)
box:EnableMouse(true)
box:SetUserPlaced(true)
box:RegisterForDrag("AnyUP")
box:SetScript("OnMouseDown", function(self)
	if (IsAltKeyDown()) then
		self:StartMoving()
	end
end)
box:SetScript("OnMouseUp", box.StopMovingOrSizing)

box.text = box:CreateFontString(nil, "OVERLAY")
box.text:SetFont(font, 16, "THINOUTLINE")
box.text:SetPoint("BOTTOM", 0, 5)
box.text:SetText("Kawaii")

for i = 1, getn(kawaii_table) do -- Buttons --
    if not Buttons then
		Buttons = {}
    end
    Buttons[i] = CreateFrame("Button", "KawaiiBoxButton"..i, KawaiiBox)
	Buttons[i]:SetSize(35, 20)
	Buttons[i]:SetBackdrop(backdrop)
	Buttons[i]:SetBackdropColor(0.1, 0.1, 0.1, .8)
	Buttons[i]:SetBackdropBorderColor(0.35, 0.35, .35)
		
	Buttons[i].text = Buttons[i]:CreateFontString(nil, "OVERLAY")
	Buttons[i].text:SetFont(font, 12, "THINOUTLINE")
	Buttons[i].text:SetPoint("CENTER", 1, 0)
	Buttons[i].text:SetText(kawaii_table[i])

	Buttons[i]:SetScript("OnClick", OnClick)

    if i == 1 then
        Buttons[i]:SetPoint("TOPLEFT", 5, -5)
    elseif i == 5 then
        Buttons[i]:SetPoint("LEFT", Buttons[1], "RIGHT", 3, 0)
	elseif i == 9 then
		Buttons[i]:SetPoint("LEFT", Buttons[5], "RIGHT", 3, 0)
	elseif i == 13 then
		Buttons[i]:SetPoint("LEFT", Buttons[9], "RIGHT", 3, 0)
	elseif i == 17 then
		Buttons[i]:SetPoint("LEFT", Buttons[13], "RIGHT", 3, 0)
	elseif i == 21 then
		Buttons[i]:SetPoint("LEFT", Buttons[17], "RIGHT", 3, 0)
    else
        Buttons[i]:SetPoint("TOP", Buttons[i-1], "BOTTOM", 0, -3)
    end
end